<div>
    <h2 id="page-heading">
        <span jhiTranslate="shoppingonlineApp.profilazione.home.title">Profilaziones</span>

        <button id="jh-create-entity" class="btn btn-primary float-right jh-create-entity create-profilazione" [routerLink]="['/profilazione/new']">
            <fa-icon icon="plus"></fa-icon>
            <span  jhiTranslate="shoppingonlineApp.profilazione.home.createLabel">
            Create a new Profilazione
            </span>
        </button>
    </h2>

    <jhi-alert-error></jhi-alert-error>

    <jhi-alert></jhi-alert>

    <div class="alert alert-warning" id="no-result" *ngIf="profilaziones?.length === 0">
        <span jhiTranslate="shoppingonlineApp.profilazione.home.notFound">No profilaziones found</span>
    </div>

    <div class="table-responsive" id="entities" *ngIf="profilaziones && profilaziones.length > 0">
        <table class="table table-striped" aria-describedby="page-heading">
            <thead>
                <tr>
                    <th scope="col" ><span jhiTranslate="global.field.id">ID</span></th>
                    <th scope="col" ><span jhiTranslate="shoppingonlineApp.profilazione.operatoreAdv">Operatore Adv</span></th>
                    <th scope="col" ><span jhiTranslate="shoppingonlineApp.profilazione.cliente">Cliente</span></th>
                    <th scope="col"></th>
                </tr>
            </thead>
            <tbody>
                <tr *ngFor="let profilazione of profilaziones ;trackBy: trackId">
                    <td><a [routerLink]="['/profilazione', profilazione.id, 'view']">{{ profilazione.id }}</a></td>
                    <td>
                        <div *ngIf="profilazione.operatoreAdv">
                            <a [routerLink]="['/operatore-adv', profilazione.operatoreAdv?.id, 'view']" >{{ profilazione.operatoreAdv?.id }}</a>
                        </div>
                    </td>
                    <td>
                        <div *ngIf="profilazione.cliente">
                            <a [routerLink]="['/cliente', profilazione.cliente?.id, 'view']" >{{ profilazione.cliente?.id }}</a>
                        </div>
                    </td>
                    <td class="text-right">
                        <div class="btn-group">
                            <button type="submit"
                                    [routerLink]="['/profilazione', profilazione.id, 'view']"
                                    class="btn btn-info btn-sm">
                                <fa-icon icon="eye"></fa-icon>
                                <span class="d-none d-md-inline" jhiTranslate="entity.action.view">View</span>
                            </button>

                            <button type="submit"
                                    [routerLink]="['/profilazione', profilazione.id, 'edit']"
                                    class="btn btn-primary btn-sm">
                                <fa-icon icon="pencil-alt"></fa-icon>
                                <span class="d-none d-md-inline" jhiTranslate="entity.action.edit">Edit</span>
                            </button>

                            <button type="submit" (click)="delete(profilazione)"
                                    class="btn btn-danger btn-sm">
                                <fa-icon icon="times"></fa-icon>
                                <span class="d-none d-md-inline" jhiTranslate="entity.action.delete">Delete</span>
                            </button>
                        </div>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>
</div>
